<template>
  <div>
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/entrevistas-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <h1
          class="relative bai flex items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <svg
            class="w-10 mr-5 lg:w-20"
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            viewBox="0 0 80.659 68.219"
          >
            <defs>
              <clipPath id="clip-path">
                <rect width="80.659" height="68.219" fill="none" />
              </clipPath>
            </defs>
            <path
              d="M33.381,67.617l-6.991,10.4H61.919l-6.993-10.4Z"
              transform="translate(-3.824 -9.799)"
              fill="#2b353e"
            />
            <g transform="translate(0 0)">
              <g clip-path="url(#clip-path)">
                <path
                  d="M75.456,0H5.2A5.218,5.218,0,0,0,0,5.2V52.615a5.218,5.218,0,0,0,5.2,5.2H29.557L31.446,55l8.883-13.214L49.211,55,51.1,57.817H75.456a5.217,5.217,0,0,0,5.2-5.2V5.2a5.217,5.217,0,0,0-5.2-5.2"
                  transform="translate(0 0)"
                  fill="#ffda00"
                />
                <path
                  d="M45.338,48.874,36.456,62.088,34.566,64.9H56.112l-1.891-2.812Z"
                  transform="translate(-5.009 -7.083)"
                  fill="#c29f00"
                />
              </g>
            </g>
          </svg>

          <div class="flex flex-col items-center justify-center lg:flex-row">
            {{ $t('interviews.title') }}
          </div>
        </h1>
      </div>
    </section>

    <section class="py-16">
      <div class="container px-10">
        <div class="grid grid-cols-1 gap-8 lg:grid-cols-3">
          <UtilsAprendeCard
            v-for="(item, index) in items"
            :key="index"
            :item="item"
          />
        </div>

        <!-- <div class="flex items-center justify-center mt-16 space-x-4">
          <button class="bg-white rounded-md text-secondary hover:bg-primary">
            <svg
              xmlns="http://www.w3.org/2000/svg"
              class="w-10 h-10"
              viewBox="0 0 20 20"
              fill="currentColor"
            >
              <path
                fill-rule="evenodd"
                d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z"
                clip-rule="evenodd"
              />
            </svg>
          </button>

          <ul class="flex items-center justify-center space-x-4">
            <li>
              <a href="#" class="flex items-center justify-center w-10 h-10 text-lg border rounded-md border-primary text-primary hover:bg-primary hover:text-secondary">
                1
              </a>
            </li>

            <li>
              <a href="#" class="flex items-center justify-center w-10 h-10 text-lg text-white border border-transparent rounded-md hover:bg-primary hover:text-secondary hover:border-primary">
                2
              </a>
            </li>

            <li>
              <a href="#" class="flex items-center justify-center w-10 h-10 text-lg text-white border border-transparent rounded-md hover:bg-primary hover:text-secondary hover:border-primary">
                3
              </a>
            </li>
          </ul>

          <button class="bg-white rounded-md text-secondary hover:bg-primary">
            <svg
              xmlns="http://www.w3.org/2000/svg"
              class="w-10 h-10"
              viewBox="0 0 20 20"
              fill="currentColor"
            >
              <path
                fill-rule="evenodd"
                d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z"
                clip-rule="evenodd"
              />
            </svg>
          </button>
        </div> -->
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'EntrevistasPage',

  nuxtI18n: {
    paths: {
      en: '/learn/interviews',
      es: '/aprende/entrevistas',
    },
  },

  data() {
    return {
      filtredItems: [],
    }
  },

  computed: {
    items() {
      return this.$t('interviews.items')
    },
  },
}
</script>

<style></style>
